petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMallocDump

Dumps the currently allocated memory blocks to a file. The information printed is: size of space (in bytes), address of space, id of space, file in which space was allocated, and line number at which it was allocated.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocDump(FILE *fp)

Not Collective

### Input Parameter

fp -file pointer. If fp is NULL, stdout is assumed.

### Options Database Key

-malloc_dump <optional filename> -Dumps unfreed memory during call to PetscFinalize()

### Fortran Note

The calling sequence in Fortran is PetscMallocDump(integer ierr) The fp defaults to stdout.

### Notes

Uses MPI_COMM_WORLD to display rank, because this may be called in PetscFinalize() after PETSC_COMM_WORLD has been freed.

When called in PetscFinalize() dumps only the allocations that have not been properly freed

PetscMallocView() prints a list of all memory ever allocated

### See Also

PetscMallocGetCurrentUsage(), PetscMallocView(), PetscMallocViewSet()

### Level

intermediate

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages